/*
** VectorStd.h for Xclamation and XAllWrite in Global/
** define Vector functions constants
**
** Copyright (C) 1994-2000 Axene.
** Authors: Stphane Boisson, Antoine Buat, Robin Castanier and Emmanuel Paris.
** Email: xcalibur@axene.org
**
**    This program is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program; if not, write to the Free Software
**    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**
** Started on  Fri Feb 17 10:25:34 1995 Emmanuel Paris
** Last update Thu Jun 25 18:25:10 1998 Emmanuel Paris
*/

#ifndef _VectorStd_h
#define _VectorStd_h

enum
{
 VECTOR_FUNCTION_BEGIN = 500,
 MOVE_VECTOR,
 ROTATE_VECTOR,
 CENTER_VECTOR,
 INIT_VECTOR,
 RESIZE_VECTOR,
 SCALE_VECTOR,
 NORMAL_ASPECT_VECTOR,
 BEST_ASPECT_VECTOR,
 AUTO_RESIZE_VECTOR,
 MAX_ASPECT_VECTOR,
 FLIP_HORIZONTAL_VECTOR,
 FLIP_VERTICAL_VECTOR,
 TOGGLE_TEXT_VECTOR,
 VECTOR_FUNCTION_END
};

#endif /*_VectorStd_h*/

