/*
** isolat1_encoding.h for Xclamation, XQuad, XAllWrite and XMayday in Global/
**
** Copyright (C) 1994-2000 Axene.
** Authors: Stphane Boisson, Antoine Buat, Robin Castanier and Emmanuel Paris.
** Email: xcalibur@axene.org
**
**    This program is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program; if not, write to the Free Software
**    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**
** Started on  Mon Jul 17 14:15:33 1995 Emmanuel Paris
** Last update Wed Oct 25 10:35:27 1995 Emmanuel Paris
*/

#ifndef _isolat1_encoding_h_
#define _isolat1_encoding_h_

#include "encoding_sym.h"

static unsigned char isolat1_encoding[256] = {
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_space,
  XcS_exclam,
  XcS_quotedbl,
  XcS_numbersign,
  XcS_dollar,
  XcS_percent,
  XcS_ampersand,
  XcS_quoteright,
  XcS_parenleft,
  XcS_parenright,
  XcS_asterisk,
  XcS_plus,
  XcS_comma,
  XcS_minus,
  XcS_period,
  XcS_slash,
  XcS_zero,
  XcS_one,
  XcS_two,
  XcS_three,
  XcS_four,
  XcS_five,
  XcS_six,
  XcS_seven,
  XcS_eight,
  XcS_nine,
  XcS_colon,
  XcS_semicolon,
  XcS_less,
  XcS_equal,
  XcS_greater,
  XcS_question,
  XcS_at,
  XcS_A,
  XcS_B,
  XcS_C,
  XcS_D,
  XcS_E,
  XcS_F,
  XcS_G,
  XcS_H,
  XcS_I,
  XcS_J,
  XcS_K,
  XcS_L,
  XcS_M,
  XcS_N,
  XcS_O,
  XcS_P,
  XcS_Q,
  XcS_R,
  XcS_S,
  XcS_T,
  XcS_U,
  XcS_V,
  XcS_W,
  XcS_X,
  XcS_Y,
  XcS_Z,
  XcS_bracketleft,
  XcS_backslash,
  XcS_bracketright,
  XcS_asciicircum,
  XcS_underscore,
  XcS_quoteleft,
  XcS_a,
  XcS_b,
  XcS_c,
  XcS_d,
  XcS_e,
  XcS_f,
  XcS_g,
  XcS_h,
  XcS_i,
  XcS_j,
  XcS_k,
  XcS_l,
  XcS_m,
  XcS_n,
  XcS_o,
  XcS_p,
  XcS_q,
  XcS_r,
  XcS_s,
  XcS_t,
  XcS_u,
  XcS_v,
  XcS_w,
  XcS_x,
  XcS_y,
  XcS_z,
  XcS_braceleft,
  XcS_bar,
  XcS_braceright,
  XcS_asciitilde,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_unknow,
  XcS_nobreakspace,
  XcS_exclamdown,
  XcS_cent,
  XcS_sterling,
  XcS_currency,
  XcS_yen,
  XcS_brokenbar,
  XcS_section,
  XcS_dieresis,
  XcS_copyright,
  XcS_ordfeminine,
  XcS_guillemotleft,
  XcS_logicalnot,
  XcS_hyphen,
  XcS_registered,
  XcS_macron,
  XcS_degree,
  XcS_plusminus,
  XcS_twosuperior,
  XcS_threesuperior,
  XcS_acute,
  XcS_mu,
  XcS_paragraph,
  XcS_periodcentered,
  XcS_cedilla,
  XcS_onesuperior,
  XcS_ordmasculine,
  XcS_guillemotright,
  XcS_onequarter,
  XcS_onehalf,
  XcS_threequarters,
  XcS_questiondown,
  XcS_Agrave,
  XcS_Aacute,
  XcS_Acircumflex,
  XcS_Atilde,
  XcS_Adieresis,
  XcS_Aring,
  XcS_AE,
  XcS_Ccedilla,
  XcS_Egrave,
  XcS_Eacute,
  XcS_Ecircumflex,
  XcS_Edieresis,
  XcS_Igrave,
  XcS_Iacute,
  XcS_Icircumflex,
  XcS_Idieresis,
  XcS_Eth,
  XcS_Ntilde,
  XcS_Ograve,
  XcS_Oacute,
  XcS_Ocircumflex,
  XcS_Otilde,
  XcS_Odieresis,
  XcS_multiply,
  XcS_Oslash,
  XcS_Ugrave,
  XcS_Uacute,
  XcS_Ucircumflex,
  XcS_Udieresis,
  XcS_Yacute,
  XcS_Thorn,
  XcS_ssharp,
  XcS_agrave,
  XcS_aacute,
  XcS_acircumflex,
  XcS_atilde,
  XcS_adieresis,
  XcS_aring,
  XcS_ae,
  XcS_ccedilla,
  XcS_egrave,
  XcS_eacute,
  XcS_ecircumflex,
  XcS_edieresis,
  XcS_igrave,
  XcS_iacute,
  XcS_icircumflex,
  XcS_idieresis,
  XcS_eth,
  XcS_ntilde,
  XcS_ograve,
  XcS_oacute,
  XcS_ocircumflex,
  XcS_otilde,
  XcS_odieresis,
  XcS_divide,
  XcS_oslash,
  XcS_ugrave,
  XcS_uacute,
  XcS_ucircumflex,
  XcS_udieresis,
  XcS_yacute,
  XcS_thorn,
  XcS_ydieresis
};

#endif /* _isolat1_encoding_h_ */
