/*
** tga.h for Xclamation, XAllWrite and XMayday in Images/
**
** Copyright (C) 1994-2000 Axene.
** Authors: Stphane Boisson, Antoine Buat, Robin Castanier and Emmanuel Paris.
** Email: xcalibur@axene.org
**
**    This program is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program; if not, write to the Free Software
**    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**
** Started on  Mon Jul 17 18:12:39 1995 Marc Blet
** Last update Fri May 10 19:03:58 1996 Emmanuel Paris
*/

#ifndef _tga_h_
#define _tga_h_

#include "xcalibur.h"
#include "Image.h"
#include <sys/file.h>

#define Xc_TARGA_HEADER_LENGTH	18

#define Xc_TARGA_NAME  		"Targa"
#define Xc_TARGA_COPYRIGHT	"Copyright Xcalibur 1994"

#define Xc_TARGA_EXTC		1
#define Xc_TARGA_EXT1		"TGA"
#endif





